# Generated from enchaine-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name enchaine

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Change Markdown headers to cryptographic hashes
License: GNU GPL v3 (or later)
URL: https://github.com/robmyers/enchaine
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Enchaine is a command-line tool to change Markdown headers (# or ===) to
cryptographic hashes for aesthetic reasons. Various hashes, representations,
and strategies for applying them can be specified.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/enchaine
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/enchaine.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.0-1
- Initial package
